summaryrefslogtreecommitdiffstats
path: root/bin/diffoscope_distribution_test.sh
diff options
context:
space:
mode:
authorChris Lamb <lamby@debian.org>2017-03-18 19:13:06 +0000
committerHolger Levsen <holger@layer-acht.org>2017-03-18 20:17:23 +0100
commit5bf2b923f4dfc56a9e9686eb52ef610db3492728 (patch)
treea0c18402c45f6919f799c994062b00da1ef6e402 /bin/diffoscope_distribution_test.sh
parent39dcb13824e170fde82426421a259d9eb7752faa (diff)
downloadjenkins.debian.net-5bf2b923f4dfc56a9e9686eb52ef610db3492728.tar.xz
diffoscope_distribution_test.sh: Match distribution exactly (eg. reject "buildd-experimental")
Signed-off-by: Chris Lamb <lamby@debian.org> Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/diffoscope_distribution_test.sh')
-rwxr-xr-xbin/diffoscope_distribution_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/diffoscope_distribution_test.sh b/bin/diffoscope_distribution_test.sh
index 6a27a087..a80050da 100755
--- a/bin/diffoscope_distribution_test.sh
+++ b/bin/diffoscope_distribution_test.sh
@@ -69,7 +69,7 @@ check_whohas() {
#
for SUITE in 'experimental' 'unstable|sid'
do
- DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep "${SUITE}"| awk '{print $3}' || true)
+ DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep " ${SUITE} "| awk '{print $3}' || true)
if [ "$DIFFOSCOPE_IN_DEBIAN" != "" ] ; then
break